#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'lelangpaket.edit_paket'}
#{/set}

<ol class="breadcrumb">
    <li><a href="@{lelang.PaketCtr.index()}">&{'lelangpaket.daftar_paket'} </a>
    <li class="active">&{'lelang_doc.edit_paket'}</li>
</ol>
<div class="content">
#{alert /}
#{stepper steppers /}
#{form @lelang.PaketCtr.simpanPartTwo(paket?.pkt_id), id:'formTambahPaket', method:'POST'}
<input type="hidden" name="step" value="${currentStep}" />
<table class="table table-sm table-bordered">
    #{if paket.showExtendedPpkInput() }
        <tr>
            <th class="bg-warning">&{'lelangpaket.nilai_hps'} <span class="warning">*</span></th>
            <td>
            ${paket?.hpsFormatted}
                    <a href="@{lelang.DokumenCtr.hpsPpk(paket?.pkt_id)}" class="badge">&{'lelangpaket.rincian_hps'}</a>
                #{if !paket.isHpsExist() }
                    <br/>
                    <br/>
                    <div class="alert alert-danger">&{'lelangpaket.harap_isi_rincian'}</div>
                #{/if}
            </td>
        </tr>

        <tr>
            <th class="bg-warning" width="20%">&{'lelangpaket.doc_persiapan_pengadaan'}</th>
            <td>
                <div class="panel panel-info">
                    <div class="panel-heading">&{'lelangpaket.doc_persiapan_pengadaan'}</div>
                    <div class="list-group">
                        <a href="@{lelang.DokumenCtr.spekPpk(paket.pkt_id)}" class="list-group-item dialog" title="&{'paket.daftar_msg'} &{'doc.kakspek'}" onhide-refresh="true">&{'doc.kakspek'} <span class="warning">*</span> #{if dokPersiapan?.dp_spek} <i class="fa fa-check pull-right"></i> #{/if}</a>
                        <a href="@{lelang.DokumenCtr.uploadSskk(paket.pkt_id)}" class="list-group-item dialog" title="&{'paket.daftar_msg'} &{'doc.sskk'}" onhide-refresh="true">&{'doc.sskk'} <span class="warning">*</span> #{if dokPersiapan?.dp_sskk_attachment} <i class="fa fa-check pull-right"></i> #{/if}</a>
                        <a href="@{lelang.DokumenCtr.lainnyaPpk(paket.pkt_id)}" class="list-group-item dialog" title="&{'paket.informasi_lainnya_msg'}" onhide-refresh="true">&{'paket.informasi_lainnya'}#{if dokPersiapan?.dp_lainnya} <i class="fa fa-check pull-right"></i> #{/if}</a>
                    </div>
                </div>
                #{if !(dokPersiapan?.dp_spek && dokPersiapan?.dp_sskk_attachment)}
                    <div class="alert alert-danger">&{'lelangpaket.harap_lengkapi'}</div>
                #{/if}
            </td>
        </tr>
        
        #{if paket.flag43 && paket.getDokPersiapan()?.lengkap()}
            <tr>
                <th class="bgwarning">UKPBJ <span class="warning">*</span></th>
                <td class="#{validate 'paket.ukpbj_id'/}">

                    #{if paket.ukpbj == null && paket?.allowEditUkpbj()}
                        <a class="btn btn-default btn-xs" title="Pilih UKPBJ" href="@{lelang.PaketCtr.pilihUkpbj(paket.pkt_id)}">
                            <i class="fa fa-edit"></i>&nbsp;&{'lelangpaket.pilih_ukpbj'}
                        </a>
                    #{/if}
                    #{else}
                        <table class="table table-responsive">
                            <tr>
                                <th style="width: 80%">&{'lelangpaket.nama'}</th>
                                <th colspan="2" style="text-align: center">&{'lelangpaket.aksi'}</th>
                            </tr>
                            <tr>
                                <td>${paket?.ukpbj?.nama}</td>
                                #{if paket?.allowEditUkpbj()}
                                    <td>
                                        <a class="btn btn-default btn-xs" title="Ganti UKPBJ" href="@{lelang.PaketCtr.pilihUkpbj(paket.pkt_id)}">
                                            <i class="fa fa-edit"></i>&nbsp;&{'lelangpaket.ganti_ukpbj'}
                                        </a>
                                        <a class="btn btn-danger btn-xs" title="Batal Pilih UKPBJ"
                                           href="@{lelang.PaketCtr.batalPilihUkpbj(paket.pkt_id)}" onclick="return confirm(il8n('lelangpaket.msg_batal_memilih'))" >
                                            <i class="fa fa-close"></i>&nbsp;&{'lelangpaket.batal'}
                                        </a>
                                    </td>
                                #{/if}
                                #{else}
                                    <td colspan="2" style="text-align: center">&{'lelangpaket.tidak_bisa_diganti'}</td>
                                #{/else}
                            </tr>
                        </table>
                    #{/else}
                    <div class="invalid-feedback">#{error 'paket.ukpbj_id' /}</div>
                </td>
            </tr>
        #{/if}

        #{if !isPpk }
            <tr>
                <th class="bg-warning">&{'lelangpaket.pokja_pemilihan'} <span class="warning">*</span></th>
                <td>
                ${paket?.panitia?.pnt_nama} 
                	#{if paket.getDokPersiapan()?.lengkap()}
                    <a class="btn btn-secondary btn-sm" title="Pilih Pokja Pemilihan" href="@{lelang.PaketCtr.panitia(paket.pkt_id)}">
                        <i class="fa fa-edit"></i>#{if paket?.panitia?.pnt_nama != null } Ganti#{/if}#{else} Pilih#{/else} Pokja Pemilihan
                    </a>
                    #{/if}
                </td>
            </tr>
            #{if historyPokja?.size > 0 }
                <tr>
                    <th class="bg-warning"> &{'lelangpaket.riwayat_pokja_pemilihan'}</th>
                    <td>
                        <table class="table table-sm">
                            <tr>
                                <th>&{'lelangpaket.tanggal'}</th>
                                <th>&{'lelangpaket.nama_panitia'}</th>
                                <th>&{'lelangpaket.alasan_diganti'}</th>
                                <th>&{'lelangpaket.penanggung_jawab'}</th>
                            </tr>
                            #{list items:historyPokja, as:'pokja'}
                                <tr>
                                    <td>${pokja.tgl_perubahan?.formatDateTime()}</td>
                                    <td><a href="@{admin.PanitiaCtr.anggota(pokja?.pnt_id)}" class="dialog" title="Daftar Anggota Pokja Pemilihan">${pokja.namaPokja}</a></td>
                                    <td>${pokja.alasan == null ? "-" : pokja.alasan}</td>
                                    <td>${pokja.namaPegawai == null ? "-" : pokja.namaPegawai}</td>
                                </tr>
                            #{/list}
                        </table>
                    </td>
                </tr>
            #{/if}
        #{/if}
    #{/if}
    
    	<tr>
            <th class="bg-warning">&{'lelangpaket.jenis_kontrak'}</th>
            <td colspan="3">
                <div style="max-width: 250px;">
                    #{if (paket.editable && active_user.ppk) || (paket.isEditableByKuppbjKonsolidasi())}
                        #{selectKontrakPembayaran 'kontrak_pembayaran', value:kontrak_pembayaran, isConsultant:kategori.isConsultant() || kategori.isJkKonstruksi() /}
                    #{/if}
                    #{else}
                        ${paket?.lelangSeleksi?.kontrakPembayaran?.label}
                    #{/else}
                </div>
            </td>
        </tr>
</table>
<div class="form-group">
    <div class="col-xs-10">
        <a class="btn btn-default btn-sm" href="?step=1"><i class="fa fa-arrow-circle-left fa-fw"></i> &{'paket.sebelumnya'}</a>
        #{if (allowToShowSaveButton || paket.isEditableByKuppbj()) && currentStep == steppers.size() }
            #{saveButton title:saveButtonTitle /}
        #{/if}
    </div>
</div>
#{/form}

 <div class="bs-callout bs-callout-warning">
      <span class="warning">*</span> &{'lelangpaket.wajib_diisi'}
 </div>

</div>